/*
   CBEZ-Pro BasicControlDLL
      data type define header
   
   2003-2010(C) OCT Co.,Ltd. AllRightsReserved
*/


typedef PVOID CBEZ_HANDLE;

typedef struct
{
   /* for CBEZ PCB */
   BYTE   CBEZ_Serial[0x10];
    BYTE   CBEZ_Version[0x80];
    DWORD   CBEZ_Counters[15];
   DWORD   CBEZ_Port;

   DWORD   CBEZ_TradeNum;
    WORD   CBEZ_RequestAmount;
    WORD   CBEZ_RemainAmount;

    BYTE   CM_BackupTime[7];
   BYTE   BV_BackupTime[7];

} CBEZ_PcbInfo;

typedef struct
{
   /* for C/M */
   BYTE   CM_IN10;
   BYTE   CM_IN50;
   BYTE   CM_IN100;
   BYTE   CM_IN500;

   BYTE   CM_OUTABLE10;
   BYTE   CM_OUTABLE50;
   BYTE   CM_OUTABLE100;
   BYTE   CM_OUTABLE500;

   BYTE   CM_OUT10;
   BYTE   CM_OUT50;
   BYTE   CM_OUT100;
   BYTE   CM_OUT500;

   DWORD   CM_Status;
   DWORD   CM_Error;
   BYTE   CM_Version;
   BYTE   CM_Code;

   // for B/V
   BYTE   BV_IN1K;
   BYTE   BV_STACK1K;
   BYTE   BV_OUTABLE1K;
   BYTE   BV_OUT1K;

   BYTE   BV_Version;
   BYTE   BV_Code;
   DWORD   BV_Status;
   DWORD   BV_Error;

} CBEZ_DataArray;

